
Foreman - Bug #4290

User Groups name length does not have a max length in UI

02/06/2014 08:01 PM - Blair Morrison

Status: Closed   

Priority: Normal   

Assignee:    

Category: Rails   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When creating a User Group in the foreman UI, there is not a maximum length indicated for the name.

Instead, it will allow names up to 255 chars long. Any name longer than 255 receives this error after clicking submit:

ActiveRecord::StatementInvalid

PGError: ERROR: value too long for type character varying(255) : INSERT INTO "usergroups" ("created_at", "name", "updated_at")

VALUES ($1, $2, $3) RETURNING "id"

app/controllers/usergroups_controller.rb:12:in `create'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

Associated revisions

Revision e0a653b6 - 03/07/2014 09:22 AM - Alissa Bonas

fixes #4290 add validation for user group max name length of 255

History

#1 - 02/07/2014 08:59 AM - Dominic Cleal

- Category set to Rails

#2 - 02/27/2014 11:11 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Target version set to 1.9.1

https://github.com/theforeman/foreman/pull/1258

#3 - 03/03/2014 12:49 PM - Anonymous

- Target version changed from 1.9.1 to 1.9.0

#4 - 03/07/2014 09:26 AM - Dominic Cleal

- translation missing: en.field_release set to 4

#5 - 03/07/2014 02:31 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e0a653b6a495b603a03d965cd8229b1a1c3222e4.
